Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.fill
Class JRFillGroup

    java.lang.Object
      net.sf.jasperreports.engine.fill.JRFillGroup

All Implemented Interfaces:
  java.lang.Cloneable, JRCloneable, JRGroup

    public class JRFillGroup

extends java.lang.Object
implements JRGroup

Version:
  $Id: JRFillGroup.java 3941 2010-08-20 10:55:10Z teodord $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)

Field Summary
`protected JRGroup` | `parent`

Fields inherited from interface net.sf.jasperreports.engine.JRGroup
`FOOTER_POSITION_COLLATE_AT_BOTTOM, FOOTER_POSITION_FORCE_AT_BOTTOM, FOOTER_POSITION_NORMAL, FOOTER_POSITION_STACK_AT_BOTTOM`

Constructor Summary
`JRFillGroup(JRGroup group, JRFillObjectFactory factory)`

Method Summary
`java.lang.Object` | `clone()`
`JRVariable` | `getCountVariable()`
`JRExpression` | `getExpression()` Gets the expression that defines what records in the group have in common.
`byte` | `getFooterPosition()` Deprecated. Replaced by `getFooterPositionValue()`.
`FooterPositionEnum` | `getFooterPositionValue()` Specifies how the group footer section behaves with regards to its position on the current page.
`JRBand` | `getGroupFooter()` Deprecated. Replaced by `getGroupFooterSection()`.
`JRSection` | `getGroupFooterSection()` Gets the footer section created for this group.
`JRBand` | `getGroupHeader()` Deprecated. Replaced by `getGroupHeaderSection()`.
`JRSection` | `getGroupHeaderSection()` Gets the header section created for this group.
`int` | `getMinHeightToStartNewPage()` Gets the minimum amount of vertical space needed at the bottom of the column in order to place the group header on the current column.
`java.lang.String` | `getName()` Gets the group name
`boolean` | `hasChanged()`
`boolean` | `isFooterPrinted()`
`boolean` | `isHeaderPrinted()`
`boolean` | `isKeepTogether()` Gets the flag that signals if the group should be prevented from splitting on first break attempt.
`boolean` | `isReprintHeaderOnEachPage()` Gets the flag that signals if the group header should be reprinted at the beginning of each page.
`boolean` | `isResetPageNumber()` Gets the flag that signals if the group header should be printed always on a new page, along with the re-initialization of the page number.
`boolean` | `isStartNewColumn()` Gets the flag that signals if the group header should be printed always on a new column.
`boolean` | `isStartNewPage()` Gets the flag that signals if the group header should be printed always on a new page.
`boolean` | `isTopLevelChange()`
`void` | `setFooterPosition(byte footerPosition)` Deprecated. Replaced by `setFooterPosition(FooterPositionEnum)`.
`void` | `setFooterPosition(FooterPositionEnum footerPosition)` Specifies the group footer section behavior with regards to its position on the current page.
`void` | `setFooterPrinted(boolean isFooterPrinted)`
`void` | `setHasChanged(boolean hasChanged)`
`void` | `setHeaderPrinted(boolean isHeaderPrinted)`
`void` | `setKeepTogether(boolean keepTogether)` Sets the flag that signals if the group should be prevented from splitting on first break attempt.
`void` | `setMinHeightToStartNewPage(int minHeight)` Sets the minimum amount of vertical space needed at the bottom of the column in order to place the group header on the current column.
`void` | `setReprintHeaderOnEachPage(boolean isReprint)` Sets the flag that signals if the group header should be reprinted at the beginning of each page.
`void` | `setResetPageNumber(boolean isReset)` Sets the flag that signals if the group header should be printed always on a new page, along with the re-initialization of the page number.
`void` | `setStartNewColumn(boolean isStart)` Sets the flag that signals if the group header should be printed always on a new column.
`void` | `setStartNewPage(boolean isStart)` Sets the flag that signals if the group header should be printed always on a new page.
`void` | `setTopLevelChange(boolean isTopLevelChange)`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### parent

    protected JRGroup parent

Constructor Detail

### JRFillGroup

    public JRFillGroup(JRGroup group,
                       JRFillObjectFactory factory)

Method Detail

### getName

    public java.lang.String getName()

  Description copied from interface: `JRGroup`
  Gets the group name

  Specified by:
    `getName` in interface `JRGroup`

### getExpression

    public JRExpression getExpression()

  Description copied from interface: `JRGroup`
  Gets the expression that defines what records in the group have in common.

  Specified by:
    `getExpression` in interface `JRGroup`

### isStartNewColumn

    public boolean isStartNewColumn()

  Description copied from interface: `JRGroup`
  Gets the flag that signals if the group header should be printed always on a new column.

  Specified by:
    `isStartNewColumn` in interface `JRGroup`

### setStartNewColumn

    public void setStartNewColumn(boolean isStart)

  Description copied from interface: `JRGroup`
  Sets the flag that signals if the group header should be printed always on a new column.

  Specified by:
    `setStartNewColumn` in interface `JRGroup`

### isStartNewPage

    public boolean isStartNewPage()

  Description copied from interface: `JRGroup`
  Gets the flag that signals if the group header should be printed always on a new page.

  Specified by:
    `isStartNewPage` in interface `JRGroup`

### setStartNewPage

    public void setStartNewPage(boolean isStart)

  Description copied from interface: `JRGroup`
  Sets the flag that signals if the group header should be printed always on a new page.

  Specified by:
    `setStartNewPage` in interface `JRGroup`

### isResetPageNumber

    public boolean isResetPageNumber()

  Description copied from interface: `JRGroup`
  Gets the flag that signals if the group header should be printed always on a new page, along with the re-initialization of the page number.

  Specified by:
    `isResetPageNumber` in interface `JRGroup`

### setResetPageNumber

    public void setResetPageNumber(boolean isReset)

  Description copied from interface: `JRGroup`
  Sets the flag that signals if the group header should be printed always on a new page, along with the re-initialization of the page number.

  Specified by:
    `setResetPageNumber` in interface `JRGroup`

### isReprintHeaderOnEachPage

    public boolean isReprintHeaderOnEachPage()

  Description copied from interface: `JRGroup`
  Gets the flag that signals if the group header should be reprinted at the beginning of each page.

  Specified by:
    `isReprintHeaderOnEachPage` in interface `JRGroup`

### setReprintHeaderOnEachPage

    public void setReprintHeaderOnEachPage(boolean isReprint)

  Description copied from interface: `JRGroup`
  Sets the flag that signals if the group header should be reprinted at the beginning of each page.

  Specified by:
    `setReprintHeaderOnEachPage` in interface `JRGroup`

### getMinHeightToStartNewPage

    public int getMinHeightToStartNewPage()

  Description copied from interface: `JRGroup`
  Gets the minimum amount of vertical space needed at the bottom of the column in order to place the group header on the current column.

  Specified by:
    `getMinHeightToStartNewPage` in interface `JRGroup`

### setMinHeightToStartNewPage

    public void setMinHeightToStartNewPage(int minHeight)

  Description copied from interface: `JRGroup`
  Sets the minimum amount of vertical space needed at the bottom of the column in order to place the group header on the current column.

  Specified by:
    `setMinHeightToStartNewPage` in interface `JRGroup`

### getFooterPosition

    public byte getFooterPosition()

  Deprecated. Replaced by `getFooterPositionValue()`.

  Specified by:
    `getFooterPosition` in interface `JRGroup`

### getFooterPositionValue

    public FooterPositionEnum getFooterPositionValue()

  Description copied from interface: `JRGroup`
  Specifies how the group footer section behaves with regards to its position on the current page.

  Specified by:
    `getFooterPositionValue` in interface `JRGroup`

### setFooterPosition

    public void setFooterPosition(byte footerPosition)

  Deprecated. Replaced by `setFooterPosition(FooterPositionEnum)`.

  Specified by:
    `setFooterPosition` in interface `JRGroup`

### setFooterPosition

    public void setFooterPosition(FooterPositionEnum footerPosition)

  Description copied from interface: `JRGroup`
  Specifies the group footer section behavior with regards to its position on the current page.

  Specified by:
    `setFooterPosition` in interface `JRGroup`

### isKeepTogether

    public boolean isKeepTogether()

  Description copied from interface: `JRGroup`
  Gets the flag that signals if the group should be prevented from splitting on first break attempt.

  Specified by:
    `isKeepTogether` in interface `JRGroup`

### setKeepTogether

    public void setKeepTogether(boolean keepTogether)

  Description copied from interface: `JRGroup`
  Sets the flag that signals if the group should be prevented from splitting on first break attempt.

  Specified by:
    `setKeepTogether` in interface `JRGroup`

### getGroupHeader

    public JRBand getGroupHeader()

  Deprecated. Replaced by `getGroupHeaderSection()`.

  Description copied from interface: `JRGroup`
  Gets the header band created for this group.

  Specified by:
    `getGroupHeader` in interface `JRGroup`

### getGroupHeaderSection

    public JRSection getGroupHeaderSection()

  Description copied from interface: `JRGroup`
  Gets the header section created for this group.

  Specified by:
    `getGroupHeaderSection` in interface `JRGroup`

### getGroupFooter

    public JRBand getGroupFooter()

  Deprecated. Replaced by `getGroupFooterSection()`.

  Description copied from interface: `JRGroup`
  Gets the footer band created for this group.

  Specified by:
    `getGroupFooter` in interface `JRGroup`

### getGroupFooterSection

    public JRSection getGroupFooterSection()

  Description copied from interface: `JRGroup`
  Gets the footer section created for this group.

  Specified by:
    `getGroupFooterSection` in interface `JRGroup`

### getCountVariable

    public JRVariable getCountVariable()

  Specified by:
    `getCountVariable` in interface `JRGroup`

### hasChanged

    public boolean hasChanged()

### setHasChanged

    public void setHasChanged(boolean hasChanged)

### isTopLevelChange

    public boolean isTopLevelChange()

### setTopLevelChange

    public void setTopLevelChange(boolean isTopLevelChange)

### isHeaderPrinted

    public boolean isHeaderPrinted()

### setHeaderPrinted

    public void setHeaderPrinted(boolean isHeaderPrinted)

### isFooterPrinted

    public boolean isFooterPrinted()

### setFooterPrinted

    public void setFooterPrinted(boolean isFooterPrinted)

### clone

    public java.lang.Object clone()

  Specified by:
    `clone` in interface `JRCloneable`
  Overrides:
    `clone` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com